import { CategoryAxisBase } from "./CategoryAxisBase";
import { ISortingAxis } from "./ISortingAxis";
import { IDateTimeAxis } from "./IDateTimeAxis";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { IList$1, Type } from "igniteui-react-core";
import { AxisOrientation } from "./AxisOrientation";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { SortedListView$1 } from "./SortedListView$1";
import { Series } from "./Series";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
/**
 * @hidden
 */
export declare abstract class TimeAxisBase extends CategoryAxisBase implements ISortingAxis, IDateTimeAxis {
    static $t: Type;
    constructor();
    dz(a: number, b: ScalerParams): number;
    e7(a: any, b: string): any;
    private lm;
    private ln;
    d2(a: number, b: ScalerParams): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    i$h(): void;
    l2(): void;
    protected l7(): void;
    dateTimeMemberPath: string;
    k6: IFastItemColumn$1<Date>;
    private k5;
    private le;
    protected lf: List$1<number>;
    readonly i$b: List$1<number>;
    protected l3(): void;
    i$e(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected lp(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected lo(a: Date): number;
    i$g(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected ls(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected lr(a: Date): number;
    i$d(a: number): number;
    i$c(a: number): number;
    protected lq(a: Date, b: SortedListView$1<Date>): number;
    i$f(a: number): number;
    i$i(): void;
    lb: boolean;
    private k9;
    protected get_la(): boolean;
    protected set_la(a: boolean): void;
    la: boolean;
    g2(a: string): void;
    g5(a: any): void;
    g4(a: any): void;
    cp(): boolean;
    protected ld(): boolean;
    protected lc(): boolean;
    private lh;
    actualMinimumValue: Date;
    private lg;
    fc(): any;
    actualMaximumValue: Date;
    fb(): any;
    minimumValue: Date;
    maximumValue: Date;
    private l4;
    protected g0(a: any, b: string, c: any, d: any): void;
    private l1;
    protected k7(a: string): IFastItemColumn$1<Date>;
    static k8(a: string, b: CategoryAxisBase): IFastItemColumn$1<Date>;
    au(): AxisLabelPanelBase;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    protected hd(a: boolean): void;
    protected get_b7(): boolean;
    protected startCursor(): void;
    protected resetCursor(): void;
    StartTimeCursor(): void;
    ResetTimeCursor(): void;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    j0(a: Rect, b: Rect, c: Rect): number;
    protected get_cf(): boolean;
    protected l0(a: Date, b: Date): number;
    preferredCategoryMode(a: Series): CategoryMode;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
    static $$p: string[];
}
